# __gnu_profile::__trace_vector_to_list Class Reference

Vector-to-list instrumentation producer. More...

Inheritance diagram for __gnu_profile::__trace_vector_to_list:
[legend]

List of all members.

## Public Member Functions

- void __add_object (__object_t object, __vector2list_info__info)
- void __collect_warnings (__warning_vector_t &__warnings)
- void __destruct (const void *__obj)
- __vector2list_info * __find (const void *__obj)
- __vector2list_info * __get_object_info (__object_t __object)
- void __insert (__object_t __obj, __stack_t __stack)
- void __invalid_operator (const void *__obj)
- float __list_cost (size_t __shift, size_t __iterate, size_t __resize)
- void __opr_find (const void *__obj, size_t __size)
- void __opr_insert (const void *__obj, size_t __pos, size_t __num)
- void __opr_iterate (const void *__obj, size_t __num)
- void __resize (const void *__obj, size_t __from, size_t __to)
- void __retire_object (__object_t __object)
- float __vector_cost (size_t __shift, size_t __iterate, size_t __resize)
- void __write (FILE *f)

## Protected Attributes

- const char * __id

## Detailed Description

Vector-to-list instrumentation producer.

Definition at line 147 of file profiler_vector_to_list.h.

The documentation for this class was generated from the following file:

- profiler_vector_to_list.h